Bug 224233 - elfutils-libs conflicts with elfutils > 0.123-1.fc6
elfutils-libs conflicts with elfutils > 0.123-1.fc6
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 13:43 EST by Peter Ennis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 15:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for yum update of elf-utils (20.49 KB, text/plain)
2007-01-30 20:04 EST, Peter Ennis
no flags Details

  None (edit)
Description Peter Ennis 2007-01-24 13:43:16 EST
Description of problem:

yum update latest:

elfutils-libelf conflicts with elfutils-libelf-devel > 0.123-1.fc6
elfutils-libelf conflicts with elfutils > 0.123-1.fc6
elfutils-libs conflicts with elfutils > 0.123-1.fc6

[Philip@fc6 ~]$ uname -a
Linux fc6.adaept.com 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:32:37 EST 2007 i686
i686 i386 GNU/Linux
[Philip@fc6 ~]$ 




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Roland McGrath 2007-01-24 14:53:38 EST
Please show the output of "rpm -qa | grep elfutils" before the update attempt,
and include the complete and precise error output from yum.
Comment 2 Peter Ennis 2007-01-24 18:10:24 EST
[Philip@fc6 ~]$ sudo rpm -qa | grep elfutils
Password:
elfutils-libs-0.125-1.fc6
elfutils-libelf-0.123-1.fc6
elfutils-libs-0.123-1.fc6
elfutils-0.123-1.fc6
elfutils-libelf-devel-0.123-1.fc6
elfutils-libelf-0.125-1.fc6
[Philip@fc6 ~]$ 
[Philip@fc6 ~]$ su -
Password: 
[root@fc6 ~]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
livna                     100% |=========================| 1.1 kB    00:00     
core                      100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 108 kB    00:00     
livna     : ################################################## 338/338
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package elfutils-libelf-devel.i386 0:0.125-1.fc6 set to be updated
---> Package elfutils.i386 0:0.125-1.fc6 set to be updated
--> Running transaction check
--> Processing Conflict: elfutils-libelf conflicts elfutils-libelf-devel >
0.123-1.fc6
--> Processing Conflict: elfutils-libelf conflicts elfutils > 0.123-1.fc6
--> Processing Dependency: elfutils-libelf-devel-static = 0.125-1.fc6 for
package: elfutils-libelf-devel
--> Processing Conflict: elfutils-libs conflicts elfutils > 0.123-1.fc6
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package elfutils-libelf-devel-static.i386 0:0.125-1.fc6 set to be updated
--> Running transaction check
--> Processing Conflict: elfutils-libelf conflicts elfutils-libelf-devel >
0.123-1.fc6
--> Processing Conflict: elfutils-libelf conflicts elfutils > 0.123-1.fc6
--> Processing Conflict: elfutils-libs conflicts elfutils > 0.123-1.fc6
--> Finished Dependency Resolution
Error: elfutils-libelf conflicts with elfutils-libelf-devel > 0.123-1.fc6
Error: elfutils-libelf conflicts with elfutils > 0.123-1.fc6
Error: elfutils-libs conflicts with elfutils > 0.123-1.fc6
[root@fc6 ~]# 
Comment 3 Roland McGrath 2007-01-24 18:22:38 EST
I don't understand how you managed to get two versions of elfutils-libs and
elfutils-libelf installed, as your rpm -qa output shows.  That is obviously not
the original situation that existed before you first tried any upgrades, since
0.125-1.fc6 did not exist in the past.  It must be a yum problem.  To debug it
now, you will have to restore your actual status quo ante, which was presumably
all the 0.124-1.fc6 packages installed and no 0.125-1.fc6 packages installed.
Then from that fresh state, show what yum does.
Comment 4 Ulrich Drepper 2007-01-24 19:32:51 EST
This is certainly the old problem with FC5 or the default FC6 (forgot which one)
have both elfutils.x86_64 and elfutils.386 installed.  Your rpm format is does
not provide enough information.  I guess you just have to remove the
elfutils.i386 by hand.  This is no bug in elfutils.  Perhaps in the list of
installed packages or rpm.  In any case of no importance anymore, it's a one
time thing.
Comment 5 Roland McGrath 2007-01-24 19:59:31 EST
The original report gave uname output for i686, so I assumed that there were no
non-i386 rpms installed.  If you have multiple arch's of the same rpm installed,
that is indeed a well-known general problem with yum/rpm/fedora-repositories and
I don't know what the story on it is exactly.
Use "rpm -qa --qf '%{N}-%{V}-%{R}.%{ARCH}\n' | grep elfutils" to be sure.
Comment 6 Peter Ennis 2007-01-26 17:21:41 EST
[root@fc6 ~]# uname -a
Linux fc6.adaept.com 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:32:37 EST 2007 i686
i686 i386 GNU/Linux
[root@fc6 ~]# 

[root@fc6 ~]# rpm -qa --qf '%{N}-%{V}-%{R}.%{ARCH}\n' | grep elfutils
elfutils-libs-0.125-1.fc6.i386
elfutils-libelf-0.123-1.fc6.i386
elfutils-libs-0.123-1.fc6.i386
elfutils-0.123-1.fc6.i386
elfutils-libelf-devel-0.123-1.fc6.i386
elfutils-libelf-0.125-1.fc6.i386
[root@fc6 ~]# 

So what is the magic incantation to clean it up
and verify correct behaviour?
What to keep and what to remove?
Comment 7 Ulrich Drepper 2007-01-26 18:27:41 EST
Multiple versions for the same architecture means rpm screwed up.  This has
nothing to do with elfutils itself.  rpm -e with the full package name should
clean it up but I'll let the rpm people comment on it.
Comment 8 Jeff Johnson 2007-01-26 22:53:36 EST
Do
    rpm -e --allmatches elfutils-libs
and reinstall.

FWIW, conflicts in packaging are best avoided. On upgrade all old versions are erased, its the conflict, not
the multiple versions installed, that is triggering this bug report.
Comment 9 Peter Ennis 2007-01-30 20:04:49 EST
Created attachment 146991 [details]
fix for yum update of elf-utils
Comment 10 Jeff Johnson 2007-03-14 06:26:16 EDT
WORKSFORME
Comment 11 Panu Matilainen 2007-08-09 15:10:36 EDT
Yeah, WORKSFORME or something, there's not much rpm can do here. Failing package
scriptlets will leave duplicate versions around, those will need manual cleaning
anyway.

Note You need to log in before you can comment on or make changes to this bug.